Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.maven
[Java] Interface MavenResolver

    org.gradle.api.artifacts.maven.PomFilterContainer
      org.gradle.api.artifacts.maven.MavenResolver

All Superinterfaces:
  PomFilterContainer

    public interface MavenResolver
    extends org.apache.ivy.plugins.resolver.DependencyResolver, PomFilterContainer

A org.apache.ivy.plugins.resolver.DependencyResolver which resolves dependencies from Maven repositories.

Authors:
  Hans Dockter

Field Summary

Fields inherited from interface PomFilterContainer
DEFAULT_ARTIFACT_POM_NAME

Method Summary
`void` | `beforeDeployment(Action action)` Adds an action to be executed immediately before a deployment to this resolver.
`void` | `beforeDeployment(groovy.lang.Closure action)` Adds a closure to be executed immediately before a deployment to this resolver.
`java.lang.Object` | `getSettings()` Returns a maven settings object.

Methods inherited from interface PomFilterContainer
addFilter, addFilter, filter, filter, getActivePomFilters, getFilter, getPom, pom, pom, pom, setFilter, setPom

Methods inherited from interface org.apache.ivy.plugins.resolver.DependencyResolver
org.apache.ivy.plugins.resolver.DependencyResolver#getName(), org.apache.ivy.plugins.resolver.DependencyResolver#setName(java.lang.String), org.apache.ivy.plugins.resolver.DependencyResolver#exists(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.DependencyResolver#locate(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.DependencyResolver#publish(org.apache.ivy.core.module.descriptor.Artifact, java.io.File, boolean), org.apache.ivy.plugins.resolver.DependencyResolver#getDependency(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.DependencyResolver#findIvyFileRef(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.DependencyResolver#download([Lorg.apache.ivy.core.module.descriptor.Artifact;, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.DependencyResolver#download(org.apache.ivy.core.cache.ArtifactOrigin, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.DependencyResolver#beginPublishTransaction(org.apache.ivy.core.module.id.ModuleRevisionId, boolean), org.apache.ivy.plugins.resolver.DependencyResolver#abortPublishTransaction(), org.apache.ivy.plugins.resolver.DependencyResolver#commitPublishTransaction(), org.apache.ivy.plugins.resolver.DependencyResolver#reportFailure(), org.apache.ivy.plugins.resolver.DependencyResolver#reportFailure(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.DependencyResolver#listTokenValues(java.lang.String, java.util.Map), org.apache.ivy.plugins.resolver.DependencyResolver#listTokenValues([Ljava.lang.String;, java.util.Map), org.apache.ivy.plugins.resolver.DependencyResolver#listOrganisations(), org.apache.ivy.plugins.resolver.DependencyResolver#listModules(org.apache.ivy.core.search.OrganisationEntry), org.apache.ivy.plugins.resolver.DependencyResolver#listRevisions(org.apache.ivy.core.search.ModuleEntry), org.apache.ivy.plugins.resolver.DependencyResolver#getNamespace(), org.apache.ivy.plugins.resolver.DependencyResolver#dumpSettings(), org.apache.ivy.plugins.resolver.DependencyResolver#setSettings(org.apache.ivy.plugins.resolver.ResolverSettings), org.apache.ivy.plugins.resolver.DependencyResolver#getRepositoryCacheManager()

Methods inherited from class java.lang.Object
java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#notify(), java.lang.Object#notifyAll(), java.lang.Object#toString()

Method Detail

### beforeDeployment

    public void beforeDeployment(Action action)

  Adds an action to be executed immediately before a deployment to this resolver. The action is executed after all artifacts have been build, including generation of the POM. The action can modify the set of artifacts to be deployed.
  Parameters:
    `action` - The action to execute.

### beforeDeployment

    public void beforeDeployment(groovy.lang.Closure action)

  Adds a closure to be executed immediately before a deployment to this resolver. The closure is passed a MavenDeployment as a parameter. The closure is executed after all artifacts have been build, including generation of the POM. The closure can modify the set of artifacts to be deployed.
  Parameters:
    `action` - The closure to execute.

### getSettings

    public java.lang.Object getSettings()

  Returns a maven settings object. This can be used for example to figure out where the local repository is located. This property is filled after publishing. Before this property is null.

Groovy Documentation